# Uses of Class
org.apache.sling.testing.mock.sling.context.UniqueRoot

Packages that use UniqueRoot
Package
Description
org.apache.sling.testing.mock.sling.context
Sling context implementation for unit tests.

## Uses of UniqueRoot in org.apache.sling.testing.mock.sling.context

Fields in org.apache.sling.testing.mock.sling.context declared as UniqueRoot
Modifier and Type
Field
Description
`protected UniqueRoot`
SlingContextImpl.`uniqueRoot`
Unique root helper
Methods in org.apache.sling.testing.mock.sling.context that return UniqueRoot
Modifier and Type
Method
Description
`@NotNull UniqueRoot`
SlingContextImpl.`uniqueRoot()`
Create unique root paths for unit tests (and clean them up after the test run automatically).